Home  > Produkte > Contrexx 2.1.3 Erweiterung > Contrexx Systemvoraussetzungen
hsitt

Contrexx Systemvoraussetzungen

Datum: 22.03.2016   Zeit:10:14:46 | Geschrieben von: Administrator

Systemvoraussetzungen

Contrexx® ist plattformunabhängig und kann mit den gängigsten Web Hosting Angeboten, welche eine Datenbank beinhalten, verwendet werden. Für die Installation auf einem Server werden mindestens folgende Voraussetzungen verlangt.

Anforderungen Server (PHP & MySQL)

  • PHP 5.3+
  • MySQL 5.0+
  • Ältere Contrexx Versionen (< 3.0) benötigen mindestens PHP 5.2 und MySQL 4.1.2.
    Auf neueren PHP und MySQL Versionen sollten alte Contrexx Versionen (< 3.0) grundsätzlich lauffähig sein, darauf besteht aber keine Gewährleistung, da der Anwendungs- und Produktsupport für ältere Contrexx Versionen per 31.12.2013 eingestellt wurde
  • Apache HTTP Server oder IIS mit installierter Rewrite-Engine (mod_rewrite auf Apache bzw. URL Rewrite auf IIS)
  • Zusätzlich wird die PHP Erweiterung PDO, FreeType, FTP (falls Safe-mode aktiv) sowie die GD Bibliothek Version 1.6 oder neuer benötigt
  • Optional: Zur Performance-Steigerung wird der Einsatz von APC empfohlen

Aus Sicherheitsgründen wird empfohlen, den Server im PHP Safe Mode (bis PHP 5.3) zu betreiben. Auf shared Hostings empfehlen wir zudem PHP als FTP Benutzer auszuführen (z.B. via FastCGI).

Erforderliche Zugangsdaten zum Server

  • FTP Zugangsdaten (Benutzername und Passwort)
  • MySQL Angaben (Datenbankname, Benutzername und Passwort)

Contrexx® wurde erfolgreich auf verschiedenen Unix-Derivaten (darunter Solaris, FreeBSD, Debian, Suse und Redhat Linux) sowie unter Windows NT/2000/XP/Vista/2003 installiert.

Zu letzt Aktualisiert: 22.03.2016
IP-Adresse

 

 H.S.I.T.T. Internet 2000™ Austria auf Facebook

 H.S.I.T.T. Internet 2000™ Germany auf Facebook

 H.S.I.T.T. Internet 2000™ auf Twitter